Package com.databricks.jdbc.api.impl.converters

## Class AbstractObjectConverter

- java.lang.Object
- - com.databricks.jdbc.api.impl.converters.AbstractObjectConverter

Direct Known Subclasses:
  `BigDecimalConverter`, `BitConverter`, `BooleanConverter`, `ByteArrayConverter`, `ByteConverter`, `DateConverter`, `DoubleConverter`, `FloatConverter`, `IntConverter`, `LongConverter`, `ShortConverter`, `StringConverter`, `TimestampConverter`

    public abstract class AbstractObjectConverter
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`InputStream` `convertToAsciiStream()`
`BigDecimal` `convertToBigDecimal()`
`BigInteger` `convertToBigInteger()`
`InputStream` `convertToBinaryStream()`
`boolean` `convertToBoolean()`
`byte` `convertToByte()`
`byte[]` `convertToByteArray()`
`char` `convertToChar()`
`Reader` `convertToCharacterStream()`
`Date` `convertToDate()`
`double` `convertToDouble()`
`float` `convertToFloat()`
`int` `convertToInt()`
`LocalDate` `convertToLocalDate()`
`long` `convertToLong()`
`short` `convertToShort()`
`String` `convertToString()`
`Timestamp` `convertToTimestamp()`
`Timestamp` `convertToTimestamp​(int scale)`
`InputStream` `convertToUnicodeStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### convertToByte

    public byte convertToByte()
                       throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToShort

    public short convertToShort()
                         throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToInt

    public int convertToInt()
                     throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToLong

    public long convertToLong()
                       throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToFloat

    public float convertToFloat()
                         throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToDouble

    public double convertToDouble()
                           throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToBigDecimal

    public BigDecimal convertToBigDecimal()
                                   throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToBigInteger

    public BigInteger convertToBigInteger()
                                   throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToLocalDate

    public LocalDate convertToLocalDate()
                                 throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToBoolean

    public boolean convertToBoolean()
                             throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToByteArray

    public byte[] convertToByteArray()
                              throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToChar

    public char convertToChar()
                       throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToString

    public String convertToString()
                           throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToTimestamp

    public Timestamp convertToTimestamp()
                                 throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToTimestamp

    public Timestamp convertToTimestamp​(int scale)
                                 throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToDate

    public Date convertToDate()
                       throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToBinaryStream

    public InputStream convertToBinaryStream()
                                      throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToUnicodeStream

    public InputStream convertToUnicodeStream()
                                       throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToAsciiStream

    public InputStream convertToAsciiStream()
                                     throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### convertToCharacterStream

    public Reader convertToCharacterStream()
                                    throws DatabricksSQLException

Throws:
  `DatabricksSQLException`